<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "AppleBusinessAPI",
  "identifier" : "/documentation/AppleBusinessAPI/Create-a-WebhookDelivery",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:post:v1-webhookDeliveries"
  },
  "title" : "Create a WebhookDelivery"
}
-->

# Create a WebhookDelivery

Create a new webhook delivery based on an existing delivery.

## Overview

### Example

**Request:**

```
curl -X POST "https://api-business.apple.com/v1/webhookDeliveries" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": {
        "type": "webhookDeliveries",
        "relationships": {
          "template": {
            "data": {
              "type": "webhookDeliveries",
              "id": "delivery-67890"
            }
          }
        }
      }
    }'
```

**Response:**

```json
{
  "data": {
    "type": "webhookDeliveries",
    "id": "delivery-new-123",
    "attributes": {
      "createdDateTime": "2026-10-02T08:15:00Z",
      "deliveryState": "SUCCEEDED",
      "redelivery": true,
      "sentDateTime": "2026-10-02T08:15:01Z",
      "request": {
        "url": "https://example.com/webhooks/apple"
      },
      "response": {
        "httpStatusCode": 200,
        "body": "OK"
      }
    },
    "relationships": {
      "event": {
        "links": {
          "related": "https://api-business.apple.com/v1/webhookDeliveries/delivery-new-123/event"
        },
        "data": {
          "type": "webhookEvents",
          "id": "event-24680"
        }
      }
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/webhookDeliveries/delivery-new-123"
  }
}
```

## Topics

### Responses

[`object WebhookDeliveryResponse`](/documentation/AppleBusinessAPI/WebhookDeliveryResponse)

A response that contains information about a webhook delivery resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)